/*
 * JaLingo, http://jalingo.sourceforge.net/
 *
 * Copyright (c) 2002-2006 Oleksandr Shyshko
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package ja.lingo.engine.mergedindex;

import ja.lingo.engine.beans.IInfo;
import ja.lingo.engine.dictionaryindex.Token;
import ja.lingo.engine.dictionaryindex.reader.IDictionaryIndex;
import ja.centre.util.assertions.States;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

public class MockDictionaryIndex implements IDictionaryIndex {
    private List<String> articleTitles = new ArrayList<String>();

    public int size() {
        return articleTitles.size();
    }

    public boolean isClosed() {
        return false;
    }

    public void close() throws IOException {
        // do nothing
    }

    public IInfo getInfo() {
        return null;
    }

    public String getTitle( int index ) {
        return articleTitles.get( index );
    }

    public String getBody( int index ) {
        return articleTitles.get( index ) + " body";
    }

    public void addArticle( String articleTitle ) {
        articleTitles.add( articleTitle );
    }

    public Token getTitleToken( int index ) {
        throw States.notlmplemented();
    }

    public Token getBodyToken( int index ) {
        throw States.notlmplemented();
    }
}
